﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace DatePlusClasses
{
    public partial class MessageForm : Form
    {

        public string Message
        {
            get
            {
                return fullMessageTextBox.Text;
            }
            set
            {
                fullMessageTextBox.Text = value;
            }
        }


        public MessageForm(Exception error)
        {
            InitializeComponent();

            if (error.Data != null && error.Data["messageToShow"] != null)
            {
                fullMessageTextBox.Text = error.Data["messageToShow"].ToString();
            }
            else
            {
                fullMessageTextBox.Text = error.Message;
            }
        }


        public MessageForm(string messageToShow, Exception error)
        {
            

            if (error.Data != null && error.Data["messageToShow"] != null)
            {
                fullMessageTextBox.Text = messageToShow + " " + error.Data["messageToShow"].ToString()  +   Environment.NewLine + Environment.NewLine + "Подробная информация: " + Environment.NewLine + Environment.NewLine + error.Message; 
            }
            else
            {
                fullMessageTextBox.Text = messageToShow + Environment.NewLine + Environment.NewLine + "Подробная информация: " + Environment.NewLine + Environment.NewLine + error.Message;
            }
        }


        public MessageForm()
        {
            InitializeComponent();
        }

        public static void Show(Exception error)
        {
            MessageForm.Show("", error);
        }

        public static void Show(string messageToShow, Exception error)
        {
            MessageForm messageBoxPlus = null;
            if (messageToShow != "")
            {
                messageBoxPlus = new MessageForm(messageToShow, error);
            }
            else
            {
                messageBoxPlus = new MessageForm(error);
            }

            messageBoxPlus.ShowDialog();
        }

        // ВЫБИРАЕМ ВЕСЬ ТЕКСТ ПО КЛИКУ НА ТЕКСТБОКСЕ С СООБЩЕНИЕМ ОБ ОШИБКЕ
        private void fullMessageTextBox_MouseClick(object sender, MouseEventArgs e)
        {
            fullMessageTextBox.SelectAll();
        }

        // end public partial class ErrorBox : Form
    }
}
